Get Chargeback Notification Rule

Get Chargeback Notification Rule
Get the tenant notification rule for the specified identifier

Get the tenant notification rule for the specified identifier

Request
URI
GET
https://{api_host}/suite-api/api/chargeback/notifications/rules/{id}
COPY
Path Parameters
string
id
Required

The Identifier of the tenant notification rule


Authentication
This operation uses the following authentication methods.
Responses
200

The tenant notification rule for the specified identifier

Returns chargeback-notification-rule of type(s) application/json
"{\n  \"id\" : \"dc8f46d7-c886-41f5-a6e2-30dbfc4dcbcb\",\n  \"resourceIds\" : [ \"93470b7e-e93b-492c-b9a0-cfda43ab938a\", \"c0752369-49f9-4d1f-b088-0c0f4e1d910c\" ],\n  \"alertDefinitionIds\" : [ \"AlertDefinition-10072e17-e2b1-45db-9eb0-f33732335635\", \"AlertDefinition-95b634ef-8c8d-4148-b637-288e01794712\" ],\n  \"name\" : \"TestRule\",\n  \"enabled\" : true\n}"
array of string
alertDefinitionIds
Optional

List of alert definitions ids, which will be included in rule

boolean
enabled
Optional
Constraints: default: true

Tenant notification rule status, enabled by default

string As uuid As uuid
id
Optional

Identifier of this tenant notification rule, automatically assigned by the system on create

string
name
Required

Tenant notification rule name

array of string
resourceIds
Optional

Identifiers of region quota resources, to which rule will be applied to


404

There is no tenant notification rule for the specified identifier

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/chargeback/notifications/rules/{id}